import { ButtonProps } from './Button.types';
export declare const Button: import('react').ForwardRefExoticComponent<import('react').ButtonHTMLAttributes<HTMLButtonElement> & {
    variant?: import('./Button.types').ButtonVariant;
    size?: import('./Button.types').ButtonSize;
    loading?: boolean;
    loadingLabel?: string;
    leftIcon?: import('react').ReactNode;
    rightIcon?: import('react').ReactNode;
    iconOnly?: boolean;
    fullWidth?: boolean;
} & import('react').RefAttributes<HTMLButtonElement>>;
export declare const IconButton: import('react').ForwardRefExoticComponent<Omit<ButtonProps, "children" | "leftIcon" | "rightIcon" | "iconOnly"> & {
    "aria-label": string;
    icon: import('react').ReactNode;
} & import('react').RefAttributes<HTMLButtonElement>>;
